  Here are a list of products from CitySoft Software which work in
  conjunction with The C Window Library.

                       THE C DATA FORMS LIBRARY
                       ------------------------

  The C Data Forms Library allows you to create data entry forms.  Some
  of the features are as follows:

    * You can have simple windowed forms or have forms that are larger
      than the physical screen (virtual forms).

    * You have pre and post functions on the field level as well as the
      global level (pre-post function is called for all fields).

    * Fields can have a user defined error function tied to them.

    * Fields can be highlighted as the input cursor is moved from field
      to field, or can remain the same color regardless of where the
      input cursor is.

    * Automatic conversion of a field to the right data type, and then
      the converted value can be assigned to any variable you choose.

    * User defined validation functions can be applied to any field
      after the user has accepted the input.

    * User defined form exit function.  Check if user really wants to
      exit the form.  Go back to any field if user wants to continue.

    * Load forms with data before input.

    * Implement choice lists easily.  List fields can have optional
      scrollbars and are child windows of the form.

    * Radiobox, Checkboxes, Toggle, PushButton, and Subform fields are
      supported.

    * Choose any field at any time with the mouse.

    * Retrieve data from the form at any time, even if the form is not
      currently being edited.

    * Trap undefined keys and call user defined function.

    * Create context-sensitive help for each field or form.



  The above are just some of the features of The C Data Forms Library's
  form functions.

  The cost of The C Data Forms Library is $25 for the object library
  for all memory models and the source code.

  The library supports Turbo C 2.0 and above, Borland C++, Microsoft C
  version 5.1 and above, and Zortech C versions 3.1 and above.  Also
  required is The C Window Library.


                          THE C MOUSE LIBRARY
                          -------------------

  The C Mouse Library allows you to create programs that can utilize a
  Microsoft compatible mouse.  Here is a list of the major features of
  the library:

    * You designate which windows will be 'mouse sensitive'.  A
      Microsoft Windows-like messaging system is used to dispatch mouse
      messages to a window.

    * An interrupt-driven keyboard handler that dispatches messages to
      any window when a key is hit or a combination of keys is struck.
      This feature allows you to check those seemingly impossible
      keystroke combinations, including ones that are not supported by
      your keyboard BIOS.

    * An interrupt-driven timer handler.  You can set up to 16 timers
      to go off at certain intervals.  When a timer goes off, a message
      is sent to a window that you designate, or a call to a
      user-defined function is issued.

    * You can resize a window with the mouse by grabbing any corner.

    * You can move a window on the screen with the mouse.

    * You can zoom or minimize a window.

    * Double click mouse events are supported.

    * You can create side and bottom scroll bars on a window.  Scroll
      bars are implemented with scroll buttons, as well as a moving
      highlight block.  You can also use the scroll bars if you do not
      have a mouse.

    * All API mouse functions, including the new Microsoft version 8.0+
      mouse functions, are supported.

    * Swap right and left mouse button functionality.

    * Send messages to other windows, and post messages to an
      application queue.



  The cost of this great library is only $25 for the object code and
  the source code.

  The C Mouse Library supports Turbo/Borland, Microsoft, and Zortech
  compilers.  Also required is The C Window Library.


  To order The C Data Forms Library, The C Mouse Library, as well as
  register The C Window Library, please send check or money order.

  Credit Cards will be processed at a future date.  If the date of this
  file differs from the current date by more than 2 to 3 months, please
  call 1-718-379-6777 to inquire on credit card processing.

  Make check or money order payable to the following:

                           P.A. Mckenzie

  and send check or money order to the following address:

                           P.A. McKenzie
                           CitySoft Software
                           P.O. Box 707
                           Bronx, NY   10475

  Make sure that you include my name on the address.  As of this
  writing, credit cards are not accepted.


  Here is an order form to register CWL 3.0 and CWL 2.53.  Upgrade
  prices are also listed.


    Name:
    ______________________________________________________________

    Address ______________________________________________________

    ______________________________________________________________

    ______________________________________________________________


    Phone # _________________   CompuServe ID (if appliable) _________


    Where did you hear of The C Window Library? (if BBS, please indicate
                                                 name and phone number)


    ______________________________________________________________________



                  Compiler You Use (check only one please)

                        Turbo C 2.0    ___


                        Borland C++ 3.1    ___


                        Borland C++ 4.x    ___


                        Microsoft C 5.1    ___


                        Visual C++ 1.x        ___


                        Symantec C++  6.x     ___

*Note:
        The Turbo C 2.0 libraries work for any Turbo or Borland Compiler.
        The Borland C++ 3.1 and Borland 4.x are libraries that are
        specifically built for those compilers, and are NOT backward
        compatible to Turbo C, Borland C++ 3.0 or lower, and Turbo C++.

        The Microsoft C 5.1 libraries works for any Microsoft C compiler
        starting from version 5.1.  This includes Visual C++. The Visual
        C++ libraries are specifically built for that compiler and is NOT
        backward compatible with versions of Microsoft C prior to Visual C++.




    Disk Size (Circle One):   Size     Capacity
                                   

                         a)   5 1/4"    360K

                         b)   5 1/4"    1.2M

                         c)   3 1/2"    720K

                         d)   3 1/2"    1.44M



    Check desired library:

                          CWL VERSION 3.0
                                                   Sub-Total
       Quantity        Product            Price  (Price x Quantity)
     Ŀ
               The C Window Library 3.0 $80                  
     Ĵ
               Source Code to CWL 3.0                        
               (Must order CWL 3.0)     $80                  
     Ĵ
               The C Data Forms Library                      
               (Includes Source)        $25                  
     Ĵ
               The C Mouse Library                           
               (Includes Source)        $25                  
     Ĵ
               Printed Manual for CWL   $15                  
     Ĵ
               Printed Manual for                            
               Data Forms               $10                  
     Ĵ
               Printed Manual For                            
               Mouse Library            $10                  
     Ĵ
               All Libraries + Source +                      
               Manuals                  $200                 
     


              UPGRADE PRICES FOR VERSIONS 1.0 and HIGHER

     Ŀ
               The C Window Library 3.0 $25                  
     Ĵ
               Source Code to CWL 3.0   $50                  
     Ĵ
               The C Data Forms Library $15                  
     Ĵ
               The C Mouse Library      $15                  
     Ĵ
               Printed Manual for CWL   $15                  
     Ĵ
               Printed Manual for                            
               Data Forms               $10                  
     Ĵ
               Printed Manual For                            
               Mouse Library            $10                  
     


            Order form for CWL 2.53 (valid until 12/31/94)

                                                   Sub-Total
       Quantity        Product            Price  (Price x Quantity)
     Ŀ
               The C Window Library                          
               (2.53) Includes Source.  $50                  
     Ĵ
               The C Data Forms Library                      
               (for CWL 2.53) Source.   $25                  
     Ĵ
               The C Mouse Library                           
               for (CWL 2.53) Sorce.    $25                  
     




     Grand Total (New York State add sales tax)      _______

*  Printed manuals are only available for CWL 3.0.

*  To be eligible for an upgrade you must:

      Send order form, payment, and one of the following must be provided:

      a) original disk 1 (unaltered)

              OR

      b) Original CitySoft Software Invoice

              OR

      c) A registered user's account on the CitySoft BBS.  If you are
         eligible to download registered versions from the CitySoft BBS,
         you are eligible for an upgrade.


      If there is a problem confirming your upgrade status, you should
      specify a phone number where you can be reached during the day,
      or specify your CompuServe ID.  If you cannot be confirmed, your
      check or money order will be returned to you.

      To upgrade mouse or forms libraries, you must have purchased the
      older versions of these libraries.




                                SUGGESTIONS


   If you have suggestions on improving The C Window Library or its
   accompanying libraries, feel free to write below.  You can send in
   your suggestions whether you are registering or not.  Please send to
   the address above.



   Suggestions for improvements or enhancements  _____________________



   ___________________________________________________________________



   ___________________________________________________________________



   ___________________________________________________________________



   ___________________________________________________________________



   ___________________________________________________________________



   ___________________________________________________________________













